## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# For GIMP version 3 compatibility, we must package a snapshot from the
# gimp-2.99 branch:
#
# https://github.com/rpeyron/plugin-gimp-fourier/tree/gimp2.99
%global commit 29697b2d24e7398e86ea5053c545677f85886acf
%global snapdate 20241109

Name:           gimp-fourier-plugin
Version:        0.4.5^%{snapdate}git%{sub %{commit} 1 7}
Release:        %autorelease
Summary:        Do direct and reverse Fourier Transforms on your image

License:        GPL-3.0-or-later
URL:            https://www.lprp.fr/gimp_plugin_en/
%global forgeurl https://github.com/rpeyron/plugin-gimp-fourier
Source:         %{forgeurl}/archive/%{commit}/plugin-gimp-fourier-%{commit}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
# The gimp package dropped s390x support in
# https://src.fedoraproject.org/rpms/gimp/c/778e871c1051ea063ce679b18ae84f0a3c47b6f7.
# We have asked the maintainer to create a tracking bug.
ExcludeArch:    %{ix86} s390x

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gimp-3.0)

BuildRequires:  dos2unix

Requires:       gimp%{?_isa} >= 2:3.0.0~RC1

%description
GIMP Plugin to do forward and reverse Fourier Transform. The major advantage of
this plugin is to be able to work with the transformed image inside GIMP. You
can draw or apply filters in fourier space and get the modified image with an
inverse fourier transform. Useful in fixing moire patterns or fixing some
regular banding noise.


%prep
%autosetup -n plugin-gimp-fourier-%{commit} -p1


%conf
autoreconf --force --install --verbose
%configure --enable-gimp3-fourier


%build
%make_build


%install
%make_install
%find_lang gimp30-fourier


# Upstream provides no tests.


%files -f gimp30-fourier.lang
%doc README.md
%doc README.Moire

%{_libdir}/gimp/3.0/plug-ins/fourier


%changelog
## START: Generated by rpmautospec
* Sat Nov 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20241109git29697b2-3
- Require at least GIMP 3.0.0~RC1 to ensure ABI compatibility

* Sat Nov 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20241109git29697b2-2
- Make the dependency on gimp arch-specific

* Sat Nov 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20241109git29697b2-1
- Update to a newer snapshot from the gimp2.99 (GIMP 3) branch
- Ensures compatibility with GIMP 3.0.0~RC1

* Fri Nov 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20241010git29d3400-3
- Invoke autoreconf and configure in %%conf rather than in %%build

* Sat Oct 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20241010git29d3400-2
- Drop s390x support since the gimp package is no longer available there

* Fri Oct 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20241010git29d3400-1
- Update to a newer snapshot from the gimp2.99 (GIMP 3) branch

* Mon Aug 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5^20240812git3ee5462-1
- Update to a snapshot with GIMP version 3 support (fix RHBZ#2305682)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Apr 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5-2
- Send a patch upstream to fix text-file encoding etc.

* Fri Apr 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.5-1
- Update to 0.4.5 (close RHBZ#2277248)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-8
- Remove explicit %%set_build_flags, not needed since F36

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-5
- Leaf package: remove i686 support

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-4
- Update License to SPDX (GPLv3+ → GPL-3.0-or-later)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-1
- Update to 0.4.3
- Update URL and Source0 URL
- Use upstream Makefile without patching
- General tidying and improvements to the spec file

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-22
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 23 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.4.1-9
- Fix FTBFS due to missing -lm (#1106621)
- Cleanup spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 03 2012 Nils Philippsen <nils@redhat.com> - 0.4.1-4
- rebuild against gimp 2.8.0 release candidate

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 16 2011 Nils Philippsen <nils@redhat.com> - 0.4.1-2
- rebuild for GIMP 2.7

* Wed Aug 31 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.2-2
- Fix UTF-8
- Using optflags

* Mon Jan 19 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.2-1
- Updated to 0.3.2
- Includes license note
- Small hack around gimptool-2.0 bug.

* Sun Dec 07 2008 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.1-1
- Version 0.3.1
- Initial.

## END: Generated by rpmautospec
